{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Promociones{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active">Promociones</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Promociones <small>lista</small></h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Promociones</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <div class="row mb-3">
                <div class="col-sm-12 col-md-12">
                    {% if perms.customers.add_promotions%}
                    <a class="btn btn-success btn-sm pull-right" href="{% url 'promotions-create' %}">Nuevo</a>
                    {% endif %}
                </div> 
                <form class="form-inline">
                  <div class="row mb-3 m-l-10">
                  
                    <div class="form-group m-r-10">
                            <label for="id_operator" class="control-label m-r-10">Operador</label>
                            <select id="id_operator" class="form-control">
                              <option value="" selected>Todos</option>
                              {% for operator in operators %}
                              <option value="{{ operator.pk }}">{{ operator }}</option>
                            {% endfor %}
                            </select>
                    </div>

                    <div class="form-group m-r-10">
                            <label for="active" class="control-label m-r-10">Activo</label>
                            <select id="active" class="form-control">
                                <option value="" selected>Todos</option>
                                <option value="True">Activo</option>
                                <option value="False">No activo</option>
                            </select>
                    </div>
                    <div class="form-group m-r-10">
                      <label for="permanent" class="control-label m-r-10">Fija o permanente</label>
                      <select id="permanent" class="form-control">
                          <option value="" selected>Todos</option>
                          <option value="True">Si</option>
                          <option value="False">No </option>
                      </select>
              </div>
              <div class="form-group m-r-10">
                <label for="id_cleared" class="control-label m-r-10">Fecha</label>
                <label for="id_start_date">Desde </label> <input type="date" name="start_date" class="datepicker" id="id_start_date">
                <label for="id_end_date">Hasta </label> <input type="date" name="end_date" class="datepicker" id="id_end_date">
          </div>
                  </div>
                </form>

            </div>
            <table id="promotions-list" class="table table-hover m-b-0 text-inverse">
                <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Descripción</th>
                    <th>Plan</th>
                    <th>Número de períodos</th>
                    <th>Fecha de inicio</th>
                    <th>Fecha fin</th>
                    <th>Editar</th>
                    <!--<th>Eliminar</th>-->
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            {% if is_paginated %}
                <div style="text-align: center;">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                    {% endif %}
                    <span class="page-current">
                        Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                    </span>
                    {% if page_obj.has_next %}
                        <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                    {% endif %}
                </span>
                </div>
            {% endif %}
        </div>
        <!-- end panel-body -->
      </div>
    <!-- end panel -->
    </div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("promotions_menu").classList.add("active");
    //active submenu item
    document.getElementById("promotions_list").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/promotions-list.js' %}"></script>
{% endblock %}